Subject: bug#14224: Feature request for the `cut`: record delimiter

From: George Brink <[email-masked]>
Date: Thu, 18 Apr 2013 13:12:01 -0400

On Thu, Apr 18, 2013 at 12:18 PM, Pádraig Brady <[email-masked]> wrote:

>
> awk is often suggested too as an alternative to cut.
>
No, I looked at awk, but it does not have a convenient way to specify lists
of printed fields.
awk -e "BEGIN{FS="☺"; RS="☻"; OFS=FS; ORS=RS;}; {print $1,$2,$3,$15,$16,$17
??? ) }
You got the picture...
It is possible to repeat a cut in awk (and documentation for awk does show
how), but this would be a creation of an external application, not a
one-liner with a tool from the box.